| Tipro API Communicate with Tipro devices

Macros | Functions
Speakerbox.h File Reference
`#include "TiproHidDevice.h"`
Include dependency graph for Speakerbox.h:

Go to the source code of this file.

## Macros
#define | SBX_DEVICE_HANDSFREE 0x00
#define | SBX_DEVICE_HANDSET 0x01
#define | SBX_DEVICE_HEADSET 0x02
#define | SBX_DEVICE_HANDSET_HEADSET 0x03
#define | SBX_DEVICE_HANDSFREE_HANDSET_HEADSET 0x04
#define | SBX_DEVICE_ILLEGAL 0xFF
#define | SBX_MIC_ACTIVE 0x00
#define | SBX_MIC_MUTE 0x01
#define | SBX_MIC_LEVEL_P7 0x00
#define | SBX_MIC_LEVEL_P6 0x01
#define | SBX_MIC_LEVEL_P5 0x02
#define | SBX_MIC_LEVEL_P4 0x03
#define | SBX_MIC_LEVEL_P3 0x04
#define | SBX_MIC_LEVEL_P2 0x05
#define | SBX_MIC_LEVEL_P1 0x06
#define | SBX_MIC_LEVEL_0 0x07
#define | SBX_MIC_LEVEL_M1 0x08
#define | SBX_MIC_LEVEL_M2 0x09
#define | SBX_MIC_LEVEL_M3 0x0A
#define | SBX_MIC_LEVEL_M4 0x0B
#define | SBX_MIC_LEVEL_M5 0x0C
#define | SBX_MIC_LEVEL_M6 0x0D
#define | SBX_MIC_LEVEL_M7 0x0E
#define | SBX_MIC_LEVEL_ILLEGAL 0xFF
#define | SBX_MIC_LEVEL_LOW SBX_MIC_LEVEL_M2
#define | SBX_MIC_LEVEL_MID SBX_MIC_LEVEL_0
#define | SBX_MIC_LEVEL_HIGH SBX_MIC_LEVEL_P2
#define | SBX_MIC_LEVEL_MIN SBX_MIC_LEVEL_P3
#define | SBX_MIC_LEVEL_MAX SBX_MIC_LEVEL_M3
#define | SBX_MIC_COMPRESSION_OFF 0x00
#define | SBX_MIC_COMPRESSION_LOW 0x01
#define | SBX_MIC_COMPRESSION_MID 0x02
#define | SBX_MIC_COMPRESSION_ILLEGAL 0xFF
#define | SBX_MIC_COMPRESSION_MIN SBX_MIC_PROFILE_OFF
#define | SBX_MIC_COMPRESSION_MAX SBX_MIC_PROFILE_MID
#define | SBX_MIC_DISTANCE_VERY_SHORT 0x00
#define | SBX_MIC_DISTANCE_SHORT 0x01
#define | SBX_MIC_DISTANCE_MEDIUM 0x02
#define | SBX_MIC_DISTANCE_LONG 0x03
#define | SBX_MIC_DISTANCE_ILLEGAL 0xFF
#define | SBX_MIC_DISTANCE_MIN SBX_MIC_DISTANCE_VERY_SHORT
#define | SBX_MIC_DISTANCE_MAX SBX_MIC_DISTANCE_LONG
#define | SBX_MIC_THRESHOLD_VERY_LOW 0x10
#define | SBX_MIC_THRESHOLD_LOW 0x11
#define | SBX_MIC_THRESHOLD_MID 0x12
#define | SBX_MIC_THRESHOLD_HIGH 0x13
#define | SBX_MIC_THRESHOLD_ILLEGAL 0xFF
#define | SBX_MIC_PROFILE_EX_MIN SBX_MIC_THRESHOLD_VERY_LOW
#define | SBX_MIC_PROFILE_EX_MAX SBX_MIC_THRESHOLD_HIGH
#define | SBX_SIDETONE_LEVEL_M6DB 0x00
#define | SBX_SIDETONE_LEVEL_M9DB 0x01
#define | SBX_SIDETONE_LEVEL_M12DB 0x02
#define | SBX_SIDETONE_LEVEL_M15DB 0x03
#define | SBX_SIDETONE_LEVEL_M18DB 0x04
#define | SBX_SIDETONE_LEVEL_M21DB 0x05
#define | SBX_SIDETONE_LEVEL_M24DB 0x06
#define | SBX_SIDETONE_LEVEL_M27DB 0x07
#define | SBX_SIDETONE_LEVEL_M30DB 0x08
#define | SBX_SIDETONE_OFF 0xFE
#define | SBX_SIDETONE_ILLEGAL 0xFF
#define | SBX_SIDETONE_MIN SBX_SIDETONE_LEVEL_M6DB
#define | SBX_SIDETONE_MAX SBX_SIDETONE_LEVEL_M30DB
#define | SBX_SPK_ACTIVE 0x00
#define | SBX_SPK_MUTE 0x01
#define | SBX_SPK_LEVEL_MIN 0x00
#define | SBX_SPK_LEVEL_MAX 0x14
#define | SBX_SPK_LEVEL_ILLEGAL 0xFF
#define | SBX_ALERT_ACTIVE 0x00
#define | SBX_ALERT_MUTE 0x01
#define | SBX_HANDSET_HEADSET_LEVEL_9DB 0x00
#define | SBX_HANDSET_HEADSET_LEVEL_6DB 0x01
#define | SBX_HANDSET_HEADSET_LEVEL_3DB 0x02
#define | SBX_HANDSET_HEADSET_LEVEL_0DB 0x03
#define | SBX_HANDSET_HEADSET_LEVEL_M6DB 0x04
#define | SBX_HANDSET_HEADSET_LEVEL_M12DB 0x05
#define | SBX_HANDSET_HEADSET_LEVEL_M18DB 0x06
#define | SBX_HANDSET_HEADSET_LEVEL_M24DB 0x07
#define | SBX_HANDSET_HEADSET_LEVEL_M30DB 0x08
#define | SBX_HANDSET_HEADSET_LEVEL_M36DB 0x09
#define | SBX_HANDSET_HEADSET_LEVEL_M42DB 0x0A
#define | SBX_HANDSET_HEADSET_ILLEGAL 0xFF
#define | SBX_HANDSET_HEADSET_LEVEL_MIN SBX_HANDSET_HEADSET_LEVEL_9DB
#define | SBX_HANDSET_HEADSET_LEVEL_MAX SBX_HANDSET_HEADSET_LEVEL_M42DB
#define | SBX_ALERT_AS_ALERT 0x00
#define | SBX_ALERT_AS_VOICE 0x01
#define | SBX_ALERT_NOT_USED 0x02
#define | SBX_ALERT_ILLEGAL 0xFF
#define | SBX_LED_OFF 0x00
#define | SBX_LED_ON 0x01
#define | SBX_LED_BLINK 0x02
#define | SBX_LED_BLINK_INV 0x03
#define | SBX_KEY_SB_1 0x01
#define | SBX_KEY_SB_2 0x02
#define | SBX_KEY_SB_3 0x03
#define | SBX_KEY_SB_4 0x04
#define | SBX_KEY_SB_5 0x05
#define | SBX_KEY_SB_6 0x06
#define | SBX_HANDSET_PTT 0x07
#define | SBX_HEADSET_PTT 0x08
#define | SBX_HANDSET_HOOK 0x09
#define | SBX_HEADSET_CONNECTED 0x0A
#define | SBX_KEY_PRESSED 0x80
#define | SBX_KEY_RELEASED 0x00
#define | SBX_KEY_ILLEGAL 0xFF
#define | HANDSET_ONHOOK 0x80
#define | HANDSET_OFFHOOK 0x00
#define | HEADSET_CONNECTED 0x80
#define | HEADSET_DISCONNECTED 0x00
#define | HANDSET_KEY_PRESSED 0x80
#define | HANDSET_KEY_RELEASED 0x00
#define | SBX_LED_LUMINANCE_MIN 0x00
#define | SBX_LED_LUMINANCE_MAX 0x0A
#define | PTT_LED_OFF 0x00
#define | PTT_LED_ON 0x10
#define | PTT_LED_BLINK 0x20
#define | PTT_LED_OFF 0x00
#define | PTT_LED_R_ON 0x01
#define | PTT_LED_R_BLINK 0x02
#define | PTT_LED_G_ON 0x04
#define | PTT_LED_G_BLINK 0x0C
#define | PTT_LED_B_ON 0x10
#define | PTT_LED_B_BLINK 0x20
#define | AUTO_LUMINANCE_MODE_1 0xE0
#define | AUTO_LUMINANCE_MODE_2 0xE1
#define | AUTO_LUMINANCE_MODE_3 0xE2
#define | AUTO_LUMINANCE_OFF 0x00
#define | SBX_ANALOG_AUDIO_OFF 0x00
#define | SBX_ANALOG_AUDIO_LEFT 0x01
#define | SBX_ANALOG_AUDIO_RIGHT 0x02
#define | SBX_ANALOG_AUDIO_BOTH 0x03

## Functions
int | TiproSpeakerboxSetSpeakerLevel (TiproHidDevice *device, int nFsNum, int nLevel)
| Sets the level of the speakers. More...
int | TiproSpeakerboxGetSpeakerLevel (TiproHidDevice *device, int nFsNum, int *nLevel)
| Returns the level of the speakers. More...
int | TiproSpeakerboxSetLEDState (TiproHidDevice *device, int nFsNum, int nKey, int nState)
| Sets the LED state of the illuminated keys. More...
int | TiproSpeakerboxGetLEDState (TiproHidDevice *device, int nFsNum, int nKey, int *nState)
| Returns the LED state of the illuminated keys. More...
int | TiproSpeakerboxSetExternalDeviceLevel (TiproHidDevice *device, int nFsNum, int nLevel)
| Sets the level of the connected headset/handset device. More...
int | TiproSpeakerboxGetExternalDeviceLevel (TiproHidDevice *device, int nFsNum, int *nLevel)
| Returns the current level of the connected headset/handset device. More...
int | TiproSpeakerboxGetExternalHeadsetState (TiproHidDevice *device, int nFsNum, int *nState)
| Returns the state of the headset. More...
int | TiproSpeakerboxMuteMicrophone (TiproHidDevice *device, int nFsNum, int nMute)
| Mutes/un-mutes the microphone signal. More...
int | TiproSpeakerboxGoOnline (TiproHidDevice *device, int nFsNum)
| Puts speakerbox to On-line mode. More...
int | TiproSpeakerboxIsOnline (TiproHidDevice *device, int nFsNum, int *nOnline)
| Returns On-line / Off-line mode. More...
int | TiproSpeakerboxSetAlertLine (TiproHidDevice *device, int nFsNum, int nMode)
| Sets the function (mode) of the alert line. More...
int | TiproSpeakerboxGetAlertLine (TiproHidDevice *device, int nFsNum, int *nMode)
| Returns the function (mode) of the alert line (on-line mode only) More...
int | TiproSpeakerboxSetActiveDevice (TiproHidDevice *device, int nFsNum, int nDevice)
| Sets the device where both speaker and microphone signals will be switched to (on-line mode only) More...
int | TiproSpeakerboxGetMicrophoneLevel (TiproHidDevice *device, int nFsNum, int *nLevel)
| Returns the level of the microphone signal. More...
int | TiproSpeakerboxSetMicrophoneLevel (TiproHidDevice *device, int nFsNum, int nLevel)
| Sets the level of the microphone signal. More...
int | TiproSpeakerboxSetMicrophoneLevelEx (TiproHidDevice *device, int nFsNum, int nLevel, int nDevice)
| Sets the level of the microphone signal. More...
int | TiproSpeakerboxGetMicrophoneOptimalDistance (TiproHidDevice *device, int nFsNum, int *nDistance)
| Returns the optimal distance of the handsfree microphone. More...
int | TiproSpeakerboxSetMicrophoneOptimalDistance (TiproHidDevice *device, int nFsNum, int nDistance)
| Sets the optimal distance for the handsfree microphone. More...
int | TiproSpeakerboxSetMicrophoneThreshold (TiproHidDevice *device, int nFsNum, int nThreshold)
| Sets the microphone threshold. More...
int | TiproSpeakerboxGetMicrophoneThreshold (TiproHidDevice *device, int nFsNum, int *nThreshold)
| Returns the microphone threshold. More...
int | TiproSpeakerboxSetMicrophoneCompression (TiproHidDevice *device, int nFsNum, int nCompression)
| Sets the microphone compression. More...
int | TiproSpeakerboxGetMicrophoneCompression (TiproHidDevice *device, int nFsNum, int *nCompression)
| Returns the microphone compression. More...
int | TiproSpeakerboxSetMicrophoneThresholdEx (TiproHidDevice *device, int nFsNum, int nThreshold, int nDevice)
| Sets the specific device's microphone threshold. More...
int | TiproSpeakerboxSetMicrophoneCompressionEx (TiproHidDevice *device, int nFsNum, int nCompression, int nDevice)
| Sets the specific device's microphone compression. More...
int | TiproSpeakerboxGetHandsetStateEx (TiproHidDevice *device, int nHandsetNum, int *nPTTKey, int *nHookState)
| Returns state of the keys. More...
int | TiproSpeakerboxGetKeyState (TiproHidDevice *device, int nFsNum, int nKey, int *nState)
| Returns state of the keys. More...
int | TiproSpeakerboxSetLEDBlinkSpeed (TiproHidDevice *device, int nFsNum, int nTBlinkA, int nTBlinkB)
int | TiproSpeakerboxGetLEDBlinkSpeed (TiproHidDevice *device, int nFsNum, int *nTBlinkA, int *nTBlinkB)
int | TiproSpeakerboxGetHandsetState (TiproHidDevice *device, int nHandsetNum, int *nPTTKey, int *nHookState)
| Returns state of the keys. More...

## Detailed Description

Speakerbox

This file includes functions for communication with Speakerbox.

Speakerbox (SBX) is an intercom module.

Tipro

suppo.nosp@m.rt@t.nosp@m.ipro..nosp@m.si

Copyright 2021

## Macro Definition Documentation

## ◆ HANDSET_KEY_PRESSED

#define HANDSET_KEY_PRESSED 0x80

Handset key is pressed.

## ◆ HANDSET_KEY_RELEASED

#define HANDSET_KEY_RELEASED 0x00

Handset key is released.

## ◆ HANDSET_OFFHOOK

#define HANDSET_OFFHOOK 0x00

Handset is offhook.

## ◆ HANDSET_ONHOOK

#define HANDSET_ONHOOK 0x80

Handset is onhook.

## ◆ HEADSET_CONNECTED

#define HEADSET_CONNECTED 0x80

Headset is connected.

## ◆ HEADSET_DISCONNECTED

#define HEADSET_DISCONNECTED 0x00

Headset is disconnected.

## ◆ SBX_ALERT_ACTIVE

#define SBX_ALERT_ACTIVE 0x00

Alert line is active.

## ◆ SBX_ALERT_AS_ALERT

#define SBX_ALERT_AS_ALERT 0x00

Right speaker is used for alert signals; left speaker is used for voice communication.

## ◆ SBX_ALERT_AS_VOICE

#define SBX_ALERT_AS_VOICE 0x01

Both speakers are used for voice communication.

## ◆ SBX_ALERT_MUTE

#define SBX_ALERT_MUTE 0x01

Alert line is muted.

## ◆ SBX_DEVICE_HANDSET

#define SBX_DEVICE_HANDSET 0x01

Handset device connected into speakerbox

## ◆ SBX_DEVICE_HANDSET_HEADSET

#define SBX_DEVICE_HANDSET_HEADSET 0x03

Handset and headset device

## ◆ SBX_DEVICE_HANDSFREE

#define SBX_DEVICE_HANDSFREE 0x00

Handsfree device

## ◆ SBX_DEVICE_HANDSFREE_HANDSET_HEADSET

#define SBX_DEVICE_HANDSFREE_HANDSET_HEADSET 0x04

Handsfree, handset and headset device

## ◆ SBX_DEVICE_HEADSET

#define SBX_DEVICE_HEADSET 0x02

Headset device connected into speakerbox

## ◆ SBX_HANDSET_HEADSET_LEVEL_0DB

#define SBX_HANDSET_HEADSET_LEVEL_0DB 0x03

Handset and headset speaker level 0 dB

## ◆ SBX_HANDSET_HEADSET_LEVEL_3DB

#define SBX_HANDSET_HEADSET_LEVEL_3DB 0x02

Handset and headset speaker level +3 dB

## ◆ SBX_HANDSET_HEADSET_LEVEL_6DB

#define SBX_HANDSET_HEADSET_LEVEL_6DB 0x01

Handset and headset speaker level +6 dB

## ◆ SBX_HANDSET_HEADSET_LEVEL_9DB

#define SBX_HANDSET_HEADSET_LEVEL_9DB 0x00

Handset and headset speaker level +9 dB (maximum)

## ◆ SBX_HANDSET_HEADSET_LEVEL_M12DB

#define SBX_HANDSET_HEADSET_LEVEL_M12DB 0x05

Handset and headset speaker level -12 dB

## ◆ SBX_HANDSET_HEADSET_LEVEL_M18DB

#define SBX_HANDSET_HEADSET_LEVEL_M18DB 0x06

Handset and headset speaker level -18 dB

## ◆ SBX_HANDSET_HEADSET_LEVEL_M24DB

#define SBX_HANDSET_HEADSET_LEVEL_M24DB 0x07

Handset and headset speaker level -24 dB

## ◆ SBX_HANDSET_HEADSET_LEVEL_M30DB

#define SBX_HANDSET_HEADSET_LEVEL_M30DB 0x08

Handset and headset speaker level -30 dB

## ◆ SBX_HANDSET_HEADSET_LEVEL_M36DB

#define SBX_HANDSET_HEADSET_LEVEL_M36DB 0x09

Handset and headset speaker level -36 dB

## ◆ SBX_HANDSET_HEADSET_LEVEL_M42DB

#define SBX_HANDSET_HEADSET_LEVEL_M42DB 0x0A

Handset and headset speaker level -42 dB (minimum)

## ◆ SBX_HANDSET_HEADSET_LEVEL_M6DB

#define SBX_HANDSET_HEADSET_LEVEL_M6DB 0x04

Handset and headset speaker level -6 dB

## ◆ SBX_KEY_PRESSED

#define SBX_KEY_PRESSED 0x80

Key is pressed.

## ◆ SBX_KEY_RELEASED

#define SBX_KEY_RELEASED 0x00

Key is released.

## ◆ SBX_LED_OFF

#define SBX_LED_OFF 0x00

LED is off.

## ◆ SBX_LED_ON

#define SBX_LED_ON 0x01

LED is on.

## ◆ SBX_MIC_ACTIVE

#define SBX_MIC_ACTIVE 0x00

Microphone is active.

## ◆ SBX_MIC_COMPRESSION_LOW

#define SBX_MIC_COMPRESSION_LOW 0x01

Microphone compression low

## ◆ SBX_MIC_COMPRESSION_MID

#define SBX_MIC_COMPRESSION_MID 0x02

Microphone compression medium

## ◆ SBX_MIC_COMPRESSION_OFF

#define SBX_MIC_COMPRESSION_OFF 0x00

Microphone compression off

## ◆ SBX_MIC_DISTANCE_LONG

#define SBX_MIC_DISTANCE_LONG 0x03

Long distance (~200 cm)

## ◆ SBX_MIC_DISTANCE_MEDIUM

#define SBX_MIC_DISTANCE_MEDIUM 0x02

Medium distance (~100 cm)

## ◆ SBX_MIC_DISTANCE_SHORT

#define SBX_MIC_DISTANCE_SHORT 0x01

Short distance (~30 cm)

## ◆ SBX_MIC_DISTANCE_VERY_SHORT

#define SBX_MIC_DISTANCE_VERY_SHORT 0x00

Very short distance (~10 cm)

## ◆ SBX_MIC_LEVEL_0

#define SBX_MIC_LEVEL_0 0x07

Microphone attenuation level 0

## ◆ SBX_MIC_LEVEL_M1

#define SBX_MIC_LEVEL_M1 0x08

Microphone attenuation level -1

## ◆ SBX_MIC_LEVEL_M2

#define SBX_MIC_LEVEL_M2 0x09

Microphone attenuation level -2

## ◆ SBX_MIC_LEVEL_M3

#define SBX_MIC_LEVEL_M3 0x0A

Microphone attenuation level -3 (minimum)

## ◆ SBX_MIC_LEVEL_P1

#define SBX_MIC_LEVEL_P1 0x06

Microphone attenuation level +1

## ◆ SBX_MIC_LEVEL_P2

#define SBX_MIC_LEVEL_P2 0x05

Microphone attenuation level +2

## ◆ SBX_MIC_LEVEL_P3

#define SBX_MIC_LEVEL_P3 0x04

Microphone attenuation level +3 (maximum)

## ◆ SBX_MIC_MUTE

#define SBX_MIC_MUTE 0x01

Microphone is muted.

## ◆ SBX_MIC_THRESHOLD_HIGH

#define SBX_MIC_THRESHOLD_HIGH 0x13

Microphone noise threshold high

## ◆ SBX_MIC_THRESHOLD_LOW

#define SBX_MIC_THRESHOLD_LOW 0x11

Microphone noise threshold low

## ◆ SBX_MIC_THRESHOLD_MID

#define SBX_MIC_THRESHOLD_MID 0x12

Microphone noise threshold medium

## ◆ SBX_MIC_THRESHOLD_VERY_LOW

#define SBX_MIC_THRESHOLD_VERY_LOW 0x10

Microphone noise threshold very low

## ◆ SBX_SIDETONE_LEVEL_M12DB

#define SBX_SIDETONE_LEVEL_M12DB 0x02

Sidetone level -12 dB

## ◆ SBX_SIDETONE_LEVEL_M15DB

#define SBX_SIDETONE_LEVEL_M15DB 0x03

Sidetone level -15 dB

## ◆ SBX_SIDETONE_LEVEL_M18DB

#define SBX_SIDETONE_LEVEL_M18DB 0x04

Sidetone level -18 dB

## ◆ SBX_SIDETONE_LEVEL_M21DB

#define SBX_SIDETONE_LEVEL_M21DB 0x05

Sidetone level -21 dB

## ◆ SBX_SIDETONE_LEVEL_M24DB

#define SBX_SIDETONE_LEVEL_M24DB 0x06

Sidetone level -24 dB

## ◆ SBX_SIDETONE_LEVEL_M27DB

#define SBX_SIDETONE_LEVEL_M27DB 0x07

Sidetone level -27 dB

## ◆ SBX_SIDETONE_LEVEL_M30DB

#define SBX_SIDETONE_LEVEL_M30DB 0x08

Sidetone level -30 dB (minimum)

## ◆ SBX_SIDETONE_LEVEL_M6DB

#define SBX_SIDETONE_LEVEL_M6DB 0x00

Sidetone level -6 dB (maximum)

## ◆ SBX_SIDETONE_LEVEL_M9DB

#define SBX_SIDETONE_LEVEL_M9DB 0x01

Sidetone level -9 dB

## ◆ SBX_SPK_ACTIVE

#define SBX_SPK_ACTIVE 0x00

Speaker is active.

## ◆ SBX_SPK_LEVEL_MAX

#define SBX_SPK_LEVEL_MAX 0x14

Handsfree speaker level 20 (maximum)

## ◆ SBX_SPK_LEVEL_MIN

#define SBX_SPK_LEVEL_MIN 0x00

Handsfree speaker level 0 (minimum)

## ◆ SBX_SPK_MUTE

#define SBX_SPK_MUTE 0x01

Speaker is muted.

## Function Documentation

## ◆ TiproSpeakerboxGetAlertLine()

int TiproSpeakerboxGetAlertLine | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int * | nMode
| ) |  |

Returns the function (mode) of the alert line (on-line mode only)

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [out] | nMode | Mode (ALERT, VOICE, NOT USED)

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxGetExternalDeviceLevel()

int TiproSpeakerboxGetExternalDeviceLevel | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int * | nLevel
| ) |  |

Returns the current level of the connected headset/handset device.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [out] | nLevel | Level of the signal

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxGetExternalHeadsetState()

int TiproSpeakerboxGetExternalHeadsetState | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int * | nState
| ) |  |

Returns the state of the headset.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [out] | nState | Headset state (HEADSET_CONNECTED, HEADSET_DISCONNECTED)

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxGetHandsetState()

int TiproSpeakerboxGetHandsetState | ( | TiproHidDevice * | device,
|  | int | nHandsetNum,
|  | int * | nPTTKey,
|  | int * | nHookState
| ) |  |

Returns state of the keys.

Parameters

  device | Device
  nHandsetNum | Selected handset module number
  nPTTKey | PTT key state (KEY_PRESSED / KEY_RELEASED)
  nHookState | Hook state (KEY_PRESSED / KEY_RELEASED)

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxGetHandsetStateEx()

int TiproSpeakerboxGetHandsetStateEx | ( | TiproHidDevice * | device,
|  | int | nHandsetNum,
|  | int * | nPTTKey,
|  | int * | nHookState
| ) |  |

Returns state of the keys.

Parameters

  device | Device
  nHandsetNum | Selected handset module number
  nPTTKey | PTT key state (KEY_PRESSED / KEY_RELEASED)
  nHookState | Hook state (KEY_PRESSED / KEY_RELEASED)

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxGetKeyState()

int TiproSpeakerboxGetKeyState | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nKey,
|  | int * | nState
| ) |  |

Returns state of the keys.

Parameters

  device | Device
  nFsNum | Selected speakerbox module number
  nKey | Key index
  nState | State of the key (KEY_PRESSED / KEY_RELEASED)

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxGetLEDBlinkSpeed()

int TiproSpeakerboxGetLEDBlinkSpeed | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int * | nTBlinkA,
|  | int * | nTBlinkB
| ) |  |

Parameters

  device | Device
  nFsNum | Selected speakerbox module number
  nTBlinkA |
  nTBlinkB |

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxGetLEDState()

int TiproSpeakerboxGetLEDState | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nKey,
|  | int * | nState
| ) |  |

Returns the LED state of the illuminated keys.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [in] | nKey | Illuminated key index (SBX_KEY_SB_1, SBX_KEY_SB_2, SBX_KEY_SB_3, SBX_KEY_SB_4, SBX_KEY_SB_5, SBX_KEY_SB_6)
  [out] | nState | State of the LED (SBX_LED_ON, SBX_LED_OFF)

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxGetMicrophoneCompression()

int TiproSpeakerboxGetMicrophoneCompression | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int * | nCompression
| ) |  |

Returns the microphone compression.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [out] | nCompression | Microphone compression

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxGetMicrophoneLevel()

int TiproSpeakerboxGetMicrophoneLevel | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int * | nLevel
| ) |  |

Returns the level of the microphone signal.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [out] | nLevel | Microphone level

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxGetMicrophoneOptimalDistance()

int TiproSpeakerboxGetMicrophoneOptimalDistance | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int * | nDistance
| ) |  |

Returns the optimal distance of the handsfree microphone.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [out] | nDistance | Microphone optimal distance

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxGetMicrophoneThreshold()

int TiproSpeakerboxGetMicrophoneThreshold | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int * | nThreshold
| ) |  |

Returns the microphone threshold.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [out] | nThreshold | Microphone threshold

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxGetSpeakerLevel()

int TiproSpeakerboxGetSpeakerLevel | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int * | nLevel
| ) |  |

Returns the level of the speakers.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [out] | nLevel | Speaker level

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxGoOnline()

int TiproSpeakerboxGoOnline | ( | TiproHidDevice * | device,
|  | int | nFsNum
| ) |  |

Puts speakerbox to On-line mode.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxIsOnline()

int TiproSpeakerboxIsOnline | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int * | nOnline
| ) |  |

Returns On-line / Off-line mode.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [out] | nOnline | 0-Offline; 1-Online

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxMuteMicrophone()

int TiproSpeakerboxMuteMicrophone | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nMute
| ) |  |

Mutes/un-mutes the microphone signal.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [in] | nMute | Mute/un-mute microphone (SBX_MIC_MUTE, SBX_MIC_ACTIVE)

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxSetActiveDevice()

int TiproSpeakerboxSetActiveDevice | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nDevice
| ) |  |

Sets the device where both speaker and microphone signals will be switched to (on-line mode only)

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [in] | nDevice | Device to be made active

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxSetAlertLine()

int TiproSpeakerboxSetAlertLine | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nMode
| ) |  |

Sets the function (mode) of the alert line.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [in] | nMode | Mode (ALERT, VOICE, NOT USED)

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxSetExternalDeviceLevel()

int TiproSpeakerboxSetExternalDeviceLevel | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nLevel
| ) |  |

Sets the level of the connected headset/handset device.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [in] | nLevel | Level of the signal

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxSetLEDBlinkSpeed()

int TiproSpeakerboxSetLEDBlinkSpeed | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nTBlinkA,
|  | int | nTBlinkB
| ) |  |

Parameters

  device | Device
  nFsNum | Selected speakerbox module number
  nTBlinkA |
  nTBlinkB |

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxSetLEDState()

int TiproSpeakerboxSetLEDState | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nKey,
|  | int | nState
| ) |  |

Sets the LED state of the illuminated keys.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [in] | nKey | Illuminated key index (SBX_KEY_SB_1, SBX_KEY_SB_2, SBX_KEY_SB_3, SBX_KEY_SB_4, SBX_KEY_SB_5, SBX_KEY_SB_6)
  [in] | nState | State of the LED (SBX_LED_ON, SBX_LED_OFF)

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxSetMicrophoneCompression()

int TiproSpeakerboxSetMicrophoneCompression | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nCompression
| ) |  |

Sets the microphone compression.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [in] | nCompression | Microphone compression

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxSetMicrophoneCompressionEx()

int TiproSpeakerboxSetMicrophoneCompressionEx | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nCompression,
|  | int | nDevice
| ) |  |

Sets the specific device's microphone compression.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [in] | nCompression | Microphone compression
  [in] | nDevice | Device to set (handsfree, handset/headset)

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxSetMicrophoneLevel()

int TiproSpeakerboxSetMicrophoneLevel | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nLevel
| ) |  |

Sets the level of the microphone signal.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [in] | nLevel | Microphone level

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxSetMicrophoneLevelEx()

int TiproSpeakerboxSetMicrophoneLevelEx | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nLevel,
|  | int | nDevice
| ) |  |

Sets the level of the microphone signal.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [in] | nLevel | Microphone level
  [in] | nDevice | Device to set (handsfree, handset/headset)

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxSetMicrophoneOptimalDistance()

int TiproSpeakerboxSetMicrophoneOptimalDistance | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nDistance
| ) |  |

Sets the optimal distance for the handsfree microphone.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [in] | nDistance | Microphone optimal distance

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxSetMicrophoneThreshold()

int TiproSpeakerboxSetMicrophoneThreshold | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nThreshold
| ) |  |

Sets the microphone threshold.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [in] | nThreshold | Microphone threshold

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxSetMicrophoneThresholdEx()

int TiproSpeakerboxSetMicrophoneThresholdEx | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nThreshold,
|  | int | nDevice
| ) |  |

Sets the specific device's microphone threshold.

Specific device versions

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [in] | nThreshold | Microphone threshold
  [in] | nDevice | Device to set (handsfree, handset/headset)

Returns
  Command status: 0-OK, else error code

## ◆ TiproSpeakerboxSetSpeakerLevel()

int TiproSpeakerboxSetSpeakerLevel | ( | TiproHidDevice * | device,
|  | int | nFsNum,
|  | int | nLevel
| ) |  |

Sets the level of the speakers.

Parameters

  [in] | device | Device
  [in] | nFsNum | Selected speakerbox module number
  [in] | nLevel | Speaker level

Returns
  Command status: 0-OK, else error code